/* @ngInject */
function AppRun($rootScope, $http, loaderService) {
  /* Loading animation */
  $rootScope.loading = false

  // If there is any pending request keep loader open.
  let watch = $rootScope.$watch(function() {
    return $http.pendingRequests.length > 0
  }, function(hasPending) {
    if (hasPending) {
      loaderService.show()
    } else {
      loaderService.hide()
    }
    $rootScope.loading = hasPending ? true : false
  })
}

export default AppRun
