/* @ngInject */
/* eslint-disable */
let playerComponent = {
    bindings: {
        playerType: '<',
        playerSrc: '='
    },
    controller: function ($scope, $element, $attrs, $document, $window, $compile, $log, $sce) {
        let player = $element;
        let media = $document[0].createElement($attrs.playerType);
        let mediaElement = undefined;
        player.css({ 'display': 'block', 'overflow': 'hidden' });
        media.width = '640';
        media.height = '360';
        media.preload = 'none';
        media.style.maxWidth = '100%';

        $scope.$watch('$ctrl.playerSrc', (n, o) => {
            if (!mediaElement) {
                mediaElement = new MediaElementPlayer(media);
            }

            mediaElement.pause();
            mediaElement.setSrc(n);
            mediaElement.media.load();
            mediaElement.play();
            mediaElement.pause();
        });

        player.append(media);
    }
}

export default playerComponent;
