import popupTemplate from './popup.template.html'

/* @ngInject */
let popupComponent = {
  template: popupTemplate,
  controller: function ($rootScope, $scope, $anchorScroll, $timeout) {
    $scope.data = { active: false, message: '', image: '' }
    $scope.$watch('data.active', (n,o) => {
      $rootScope.$broadcast('popup.changed', $scope.data)
    })
    let popupOnShow = $rootScope.$on('popup.notify', function (elem, data) {
      $scope.data = data
      $timeout(() => {
        if (data.active) {
          $anchorScroll('popupMessage')
        }
      })
    })
  }
}
export default popupComponent
