function popupService($rootScope) {
  function show(message, image, success) {
    $rootScope.$broadcast('popup.notify', { active: true, success: success, image: image, message: message })
  }

  function hide() {
    $rootScope.$broadcast('popup.notify', { active: false, success: undefined, image: undefined, message: undefined })
  }

  return {
    show: show,
    hide: hide
  }
}
/* @ngInject */
export default popupService
